from PIL import Image
import cv2

# j'ai la classe
class video:

# initialisation de tous les éléments

	def __init__(self):
		self.cam = cv2.VideoCapture(0)
		self.font                   = cv2.FONT_HERSHEY_SIMPLEX
		self.bottomLeftCornerOfText = (150,250)
		self.fontScale              = 6
		self.fontColor              = (255, 255, 255)
		self.lineType               = 2

	# Fonction de capture

	def get_frame(self):
		ret, self.frame = self.cam.read()
		res = self.frame
		cv2.putText(res,'+', self.bottomLeftCornerOfText, self.font, self.fontScale, self.fontColor, self.lineType)
		ret, jpeg = cv2.imencode('.jpg', res)

		return jpeg.tobytes()
